Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017271
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-05-19 14:542011-06-06 16:27
ReporterpsarobeView Statuspublic 
Assigned Tomtaal 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8ed05d7554d8
ProjectionnoneETAnoneTarget Version3.0MP0
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017271: IE9: When editing the grid using Arrow down key to move down, in document no field you lose the value

DescriptionWhen you are editing the document no in several sales invoices using the arrow down, when moving down the ERP seems to delete the document no. The field change to blank space but in the DDBB it is still present
Steps To Reproduce1. Go to Sales invoice
2. Filter by sales invoice that are in status draft or and status different than Complete
3. Select the first sales invoice. Click edit in grid view
4. Move the focus to document no field
5. Move down to the next invoice.

Notice the document no is in blank and it shouldn't. At least in the db is present and it hasn't been removed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00175693.0MP6 closeddbaz IE9 does not display a section well 

-  Notes
(0037901)
hgbot (developer)
2011-06-01 22:59

Repository: erp/devel/pi
Changeset: 8ed05d7554d82d26433f12acfa2a61b0615d637b
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Jun 01 22:59:04 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8ed05d7554d82d26433f12acfa2a61b0615d637b [^]

Fixes issue 17271: IE9: When editing the grid using Arrow down key to move down, in document no field you lose the value

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-list.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0037995)
hudsonbot (developer)
2011-06-03 13:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2a05e66b60ca [^]

Maturity status: Test
(0038053)
iperdomo (developer)
2011-06-06 16:27

Tested on pi @ rev 10a741a716c8

- Issue History
Date Modified Username Field Change
2011-05-19 14:54 psarobe New Issue
2011-05-19 14:54 psarobe Assigned To => mtaal
2011-05-19 14:54 psarobe Modules => Core
2011-05-20 11:16 psarobe Priority urgent => immediate
2011-05-20 11:16 psarobe Status new => scheduled
2011-05-20 15:48 psarobe Priority immediate => urgent
2011-06-01 22:59 hgbot Checkin
2011-06-01 22:59 hgbot Note Added: 0037901
2011-06-01 22:59 hgbot Status scheduled => resolved
2011-06-01 22:59 hgbot Resolution open => fixed
2011-06-01 22:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8ed05d7554d82d26433f12acfa2a61b0615d637b [^]
2011-06-03 13:27 hudsonbot Checkin
2011-06-03 13:27 hudsonbot Note Added: 0037995
2011-06-06 16:27 iperdomo Note Added: 0038053
2011-06-06 16:27 iperdomo Status resolved => closed
2011-06-09 12:04 dbaz Relationship added blocks 0017566
2011-06-10 13:16 dbaz Relationship added related to 0017569
2011-06-10 13:16 dbaz Relationship deleted blocks 0017566


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker